Results 1 to 2 of 2

Thread: Parametric Pattern

  1. #1
    Member
    Join Date
    2015-07
    Posts
    18
    Login to Give a bone
    0

    Default Parametric Pattern

    Hi all,
    The project I'm working on includes a screen-wall with a geometric pattern that is meant to appear somewhat random (I've attached a picture of the basic idea). The problem is, there are several screens and they all vary in length and height.

    Is there a way to make this a parametric family or do I need to separately model each instance? I only have 2016 LT at the office but I can get access to a full license if I have to.

    Metal Screen.jpg

  2. #2
    All AUGI, all the time
    Join Date
    2003-07
    Posts
    560
    Login to Give a bone
    0

    Default Re: Parametric Pattern

    Give this a try due to crossing trimming it can do a couple of weird things the more complex the lines the harder to do true trimming.

    Code:
    ; random trimming of parallel lines
    ; not 100 % accurate due to crossing trims 
    ; change layer name text to something in your dwg as a single layer 
    ; By Alan H Oct 2018
    
    (defun trimrandom ( / ss  p1 p2 p3 p4 x p1a p2a p2b p2b )
    (setq oldsnap (getvar 'omode))
    (setvar 'osmode 0)
    (setq p3 (getpoint "pick bottom left"))
    (princ "\n")
    (setq p4 (getpoint "pick top right"))
    (princ "\n")
    (setq off (getreal "enter offset"))
    (while (setq p1 (getpoint "Pick 1st point"))
    (setq p2  (getpoint p1 "Pick 2nd point"))
    (setq pts (cons (list p1 p2) pts))
    (setq ang (+ (/ pi 2.0)  (angle p1 p2)))
    (setq p1a (polar p1 ang off))
    (setq p2a (polar p2 ang off))
    (setq ang (- (angle p1 p2) (/ pi 2.0)))
    (setq p1b (polar p1 ang off))
    (setq p2b (polar p2 ang off))
    (command "line" p1a p2a "")
    (command "chprop" (entlast) "" "la" "text" "")
    (command "line" p1b p2b "")
    (command "chprop" (entlast) "" "la" "text" "")
    )
    (command "layiso" (entlast) "")
    (repeat (setq x (length pts))
    (setq stend (nth (setq x (- x 1)) pts))
    (setq p1 (nth 0  stend))
    (setq p2 (nth 1 stend))
    (command "_trim" (ssget "w" (list (car p3)(cadr p3)) (list (car p4)(cadr p4))) "" "f" p1 p2 "" "")
    )
    (command "layuniso")
    )
    (trimrandom)

Similar Threads

  1. Batt insulation pattern within wall type-parametric
    By Wish List System in forum Revit Architecture - Wish List
    Replies: 4
    Last Post: 2014-11-17, 09:53 AM
  2. 2013: Alternating pattern with checkerboard pattern based curtain wall?
    By graphite in forum Revit - Conceptual Design Tools
    Replies: 15
    Last Post: 2013-03-07, 03:10 PM
  3. 2012: Pattern based and parametric dimension
    By kafka in forum Revit Architecture - Families
    Replies: 0
    Last Post: 2012-02-14, 11:33 AM
  4. 2012: Parametric or Curved Hatch Pattern
    By StacyJennifer in forum Revit Architecture - General
    Replies: 2
    Last Post: 2011-09-15, 08:40 PM
  5. Parametric History/Action list or Parametric Schematic view
    By Richard McCarthy in forum Revit Architecture - Wish List
    Replies: 3
    Last Post: 2004-09-21, 01:42 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •